package com.keao.edu.user.page;

import com.keao.edu.common.page.QueryInfo;
import com.keao.edu.user.enums.StudentRegistrationStatusEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2020.06.23
 */
public class ExamRegistrationQueryInfo extends QueryInfo {

//    @ApiModelProperty(value = "合作单位编号")
//    private Integer organId;

    @ApiModelProperty(value = "考试报名编号")
    private Integer examRegistrationId;

    @ApiModelProperty(value = "考试项目编号")
    private Integer examId;

    @ApiModelProperty(value = "合作单位编号")
    private Integer organizationId;

    @ApiModelProperty(value = "专业编号")
    private Integer subjectId;

    @ApiModelProperty(value = "报考级别")
    private Integer level;

    @ApiModelProperty(value = "学员编号")
    private Integer studentId;

    @ApiModelProperty(value = "学员状态")
    private StudentRegistrationStatusEnum status;

    @ApiModelProperty(value = "是否已排考:0否，1已排考")
    private Integer inRoom;

    @ApiModelProperty(value = "学员考试状态")
    private Integer isFinishedExam;

    public Integer getExamRegistrationId() {
        return examRegistrationId;
    }

    public void setExamRegistrationId(Integer examRegistrationId) {
        this.examRegistrationId = examRegistrationId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

//    public Integer getOrganId() {
//        return organId;
//    }

//    public void setOrganId(Integer organId) {
//        this.organId = organId;
//    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public Integer getOrganizationId() {
        return organizationId;
    }

    public void setOrganizationId(Integer organizationId) {
        this.organizationId = organizationId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public StudentRegistrationStatusEnum getStatus() {
        return status;
    }

    public void setStatus(StudentRegistrationStatusEnum status) {
        this.status = status;
    }

    public Integer getIsFinishedExam() {
        return isFinishedExam;
    }

    public void setIsFinishedExam(Integer isFinishedExam) {
        this.isFinishedExam = isFinishedExam;
    }

    public Integer getInRoom() {
        return inRoom;
    }

    public void setInRoom(Integer inRoom) {
        this.inRoom = inRoom;
    }
}
